## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global repo dde-dock
%global __provides_exclude_from ^%{_prefix}/lib/dde-.*\\.so$

%global start_logo start-here

Name:           deepin-dock
Version:        6.0.37
Release:        %autorelease
Summary:        The dock of Deepin Desktop Environment
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dde-dock
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  cmake(Qt5XkbCommonSupport)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  qt5-linguist
# provides /usr/lib64/libQt5XkbCommonSupport.a
BuildRequires:  qt5-qtbase-static

BuildRequires:  cmake(DtkGui)
BuildRequires:  cmake(DtkWidget)
BuildRequires:  cmake(DtkCMake)
BuildRequires:  cmake(dbusmenu-qt5)
BuildRequires:  cmake(DWayland)

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-ewmh)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(dbusmenu-qt5)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xres)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(gio-2.0)

Requires:       deepin-qt-dbus-factory
Requires:       xcb-util-wm
Requires:       xcb-util-image

%description
Deepin desktop-environment - Dock module.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}

# set icon to Fedora logo
sed -i 's|deepin-launcher|%{start_logo}|' frame/item/launcheritem.cpp

sed -i 's|lrelease|lrelease-qt5|' translate_generation.sh

%build
%cmake -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install
%find_lang dde-dock --all-name --with-qt
rm %{buildroot}%{_datadir}/dde-dock/translations/dde-dock.qm

%files -f dde-dock.lang
%license LICENSE
%doc README.md CHANGELOG.md plugins/plugin-guide
%{_bindir}/dde-dock
%dir %{_prefix}/lib/dde-dock
%dir %{_prefix}/lib/dde-dock/plugins
%{_prefix}/lib/dde-dock/plugins/*.so
%{_prefix}/lib/dde-dock/plugins/loader/libpluginmanager.so
%{_prefix}/lib/dde-dock/plugins/quick-trays/*.so
%dir %{_datadir}/dde-dock
%{_datadir}/dde-dock/window_patterns.json
%{_datadir}/glib-2.0/schemas/com.deepin.dde.dock.module.gschema.xml
%{_datadir}/polkit-1/actions/org.deepin.dde.dock.overlay.policy
%dir %{_sysconfdir}/dde-dock
%dir %{_sysconfdir}/dde-dock/indicator
%config(noreplace) %{_sysconfdir}/dde-dock/indicator/keybord_layout.json
%{_datadir}/dsg/configs/dde-dock/*.json

%files devel
%{_includedir}/dde-dock/
%{_libdir}/pkgconfig/dde-dock.pc
%{_libdir}/cmake/DdeDock/

%changelog
## START: Generated by rpmautospec
* Mon Feb 17 2025 Unknown User <please-configure-git-user@example.com> - 6.0.37-4
- Uncommitted changes

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 10 2024 topazus <topazus@outlook.com> - 6.0.37-2
- qt5 rebuild

* Thu Aug 15 2024 Felix Wang <topazus@outlook.com> - 6.0.37-1
- 6.0.37

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.81-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Mar 22 2024 topazus <topazus@outlook.com> - 5.5.81-4
- remove onboard-plugin sub-package; rhbz#2254320

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.81-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.81-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 19 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.5.81-1
- New release 5.5.81

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.38.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.38.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Aug 21 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.38.1-1
- New release 5.5.38.1

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.9-4
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.9-3
- Rebuild (qt5)

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.9-2
- Rebuild (qt5)

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.9-1
- New release 5.5.9

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.69.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.4.69.1-1
- New release 5.4.69.1

* Fri Dec 03 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.52-1
- New release 5.4.52

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.39-1
- New release 5.4.39
## END: Generated by rpmautospec
